Bug 681972 - [abrt] exaile-0.3.2.0-3.fc15: main.py:927:_connect_panel_events:TypeError: <PlaylistsPanel object at 0x7455550 (xlgui+panel+playlists+PlaylistsPanel at 0x7547e40)>: unknown signal name: append-items
Summary: [abrt] exaile-0.3.2.0-3.fc15: main.py:927:_connect_panel_events:TypeError: <P...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: exaile
Version: 15
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Deji Akingunola
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:534d97cf
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-03-03 18:26 UTC by Julian
Modified: 2011-03-12 04:41 UTC (History)
2 users (show)

Fixed In Version: exaile-0.3.2.1-1.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-03-12 04:41:58 UTC


Attachments (Terms of Use)
File: backtrace (1.64 KB, text/plain)
2011-03-03 18:26 UTC, Julian
no flags Details

Description Julian 2011-03-03 18:26:04 UTC
abrt version: 1.1.17
architecture: x86_64
cmdline: python /usr/lib/python2.7/site-packages/exaile/exaile.py --datadir=/usr/share/exaile/data --startgui
component: exaile
executable: /usr/lib/python2.7/site-packages/exaile/exaile.py
kernel: 2.6.38-0.rc6.git6.1.fc15.x86_64
package: exaile-0.3.2.0-3.fc15
reason: main.py:927:_connect_panel_events:TypeError: <PlaylistsPanel object at 0x7455550 (xlgui+panel+playlists+PlaylistsPanel at 0x7547e40)>: unknown signal name: append-items
release: Fedora release 15 (Lovelock)
time: 1299176590
uid: 500

backtrace
-----
main.py:927:_connect_panel_events:TypeError: <PlaylistsPanel object at 0x7455550 (xlgui+panel+playlists+PlaylistsPanel at 0x7547e40)>: unknown signal name: append-items

Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/exaile/exaile.py", line 52, in <module>
    main()
  File "/usr/lib/python2.7/site-packages/exaile/exaile.py", line 49, in main
    exaile = main.Exaile()
  File "/usr/lib/python2.7/site-packages/exaile/xl/main.py", line 96, in __init__
    self.__init()
  File "/usr/lib/python2.7/site-packages/exaile/xl/main.py", line 220, in __init
    self.gui = xlgui.Main(self)
  File "/usr/lib/python2.7/site-packages/exaile/xlgui/__init__.py", line 124, in __init__
    self.main._connect_panel_events()
  File "/usr/lib/python2.7/site-packages/exaile/xlgui/main.py", line 927, in _connect_panel_events
    panel.connect('append-items', lambda panel, items, sort=sort:
TypeError: <PlaylistsPanel object at 0x7455550 (xlgui+panel+playlists+PlaylistsPanel at 0x7547e40)>: unknown signal name: append-items

Local variables in innermost frame:
sort: False
panel_name: 'playlists'
panels: {'files': <FilesPanel object at 0x7455a00 (xlgui+panel+files+FilesPanel at 0x2a5b520)>, 'playlists': <PlaylistsPanel object at 0x7455550 (xlgui+panel+playlists+PlaylistsPanel at 0x7547e40)>, 'radio': <RadioPanel object at 0x7120dc0 (xlgui+panel+radio+RadioPanel at 0x2ad8720)>, 'collection': <CollectionPanel object at 0x711e910 (xlgui+panel+collection+CollectionPanel at 0x2acd6a0)>}
self: <MainWindow object at 0x297dfa0 (xlgui+main+MainWindow at 0x2ac0400)>
panel: <PlaylistsPanel object at 0x7455550 (xlgui+panel+playlists+PlaylistsPanel at 0x7547e40)>

How to reproduce
-----
exaile-0.3.2.0-3.fc15 crashes instantly on startup.
last message on console is:
INFO    : Connecting panel events...

this happens always, so exaile is unusable atm - at least for me...

Comment 1 Julian 2011-03-03 18:26:06 UTC
Created attachment 482131 [details]
File: backtrace

Comment 2 Brian Millett 2011-03-04 15:04:25 UTC
Package: exaile-0.3.2.0-3.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)


How to reproduce
-----
1.
2.launch exaile
3.

Comment 3 Fedora Update System 2011-03-04 15:23:00 UTC
Package exaile-0.3.2.1-1.fc15:
* should fix your issue,
* was pushed to the Fedora 15 updates-testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing exaile-0.3.2.1-1.fc15'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/exaile-0.3.2.1-1.fc15
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2011-03-05 02:39:20 UTC
exaile-0.3.2.1-1.fc15 has been pushed to the Fedora 15 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update exaile'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/exaile-0.3.2.1-1.fc15

Comment 5 Fedora Update System 2011-03-12 04:41:45 UTC
exaile-0.3.2.1-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.